{% extends 'base.html' %}
{% load humanize %}

{% block content %}
<div class="container mt-5">
    <div class="h1-responsive">Pending Loans</div>

    <table class="mt-4">
        <thead>
        <tr>
            <th class="text-align-center">Sr. No.</th>
            <th>Staff ID</th>
            <th>Name</th>
            <th>Amount</th>
            <th>Date Created</th>
            <th>Description</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        {% for loan in loans %}
        <form method="post">
            {% csrf_token %}
            <tr>
                <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:loans.start_index }}</td>
                <td data-title="Staff ID">{{ loan.staff_id.username }}</td>
                <td data-title="Name" class="text-capitalize">
                    {{ loan.staff_id.first_name }} {{ loan.staff_id.last_name }}
                </td>
                <td data-title="Amount">{{ loan.amount|intcomma }}</td>
                <td data-title="Date Created">{{ loan.date_created }}</td>

                <td data-title="Description"><input type="text" id="description" name="desc" class="form-control"
                                                     placeholder="Enter description..." required></td>
                <td data-title="Action">
                    <div class="form-row">
                        <button type="submit" name="approve" value="{{ loan.id }}"
                                class="btn btn-success btn-rounded waves-effect btn-sm px-3">
                            <i class="far fa-check-circle mr-1"></i><strong>Approve Loan</strong>
                        </button>

                        <button formaction="{% url 'reject_loan' %}" type="submit" name="reject"
                                value="{{ loan.id }}" class="btn  btn-danger btn-rounded waves-effect btn-sm px-3">
                            <i class="far fa-times-circle mr-1"></i><strong>Reject Loan</strong></button>
                    </div>

                </td>

            </tr>
        </form>

        {% endfor %}
        </tbody>
    </table>

    <!---- Pagination ----->
    <div class="row mt-5 mb-5 justify-content-center">
        {% if loans.has_other_pages %}
        <nav aria-label="Page navigation example">

            <ul class="pagination pg-dark">
                {% if loans.has_previous %}
                <li class="page-item ">
                    <a class="page-link" tabindex="-1"
                       href="?id={{ loans.0.staff_id.id }}&page={{ loans.previous_page_number }}">
                        Previous</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link" tabindex="-1">Previous</a>
                </li>
                {% endif %}
                {% for i in loans.paginator.page_range %}
                {% if loans.number == i %}
                <li class="page-item active">
                    <a class="page-link">{{ i }} <span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?id={{ loans.0.staff_id.id }}&page={{ i }}">{{ i }}</a>
                </li>
                {% endif %}
                {% endfor %}
                {% if loans.has_next %}
                <li class="page-item ">
                    <a class="page-link" href="?id={{ loans.0.staff_id.id }}&page={{ loans.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link">Next</a>
                </li>
                {% endif %}

            </ul>
        </nav>
        {% endif %}
        <!----- Pagination (endblock)---->
    </div>
</div>

{% endblock %}